@import url('https://fonts.googleapis.com/css2?family=Klee+One:wght@400;600&family=M+PLUS+1p:wght@300;400;500;700&display=swap');

html {
  scroll-behavior: smooth;
}

/* 基本のスタイル設定（body、div、dl、dt、dd、ul、ol、li、h1、h2、h3、h4、h5、h6、input、textarea、p、th、td） */
body,div,dl,dt,dd,ul,ol,li,h1,h2,h3,h4,h5,h6,input,textarea,p,table,th,td,button {
  margin: 0;
  /* マージンをゼロに設定 */
  padding: 0;
  /* パディングをゼロに設定 */
  position: relative;
  /* 要素の位置を相対位置に設定 */
  font-variation-settings: "wght" 250;
  font-weight: normal;
  color: #656A64;
}

.klee-one-regular {
  font-family: "Klee One", cursive;
  font-weight: 400;
  font-style: normal;
}

.klee-one-semibold {
  font-family: "Klee One", cursive;
  font-weight: 600;
  font-style: normal;
}

.m-plus-1p-light {
  font-family: "M PLUS 1p", sans-serif;
  font-weight: 300;
  font-style: normal;
}

.m-plus-1p-regular {
  font-family: "M PLUS 1p", sans-serif;
  font-weight: 400;
  font-style: normal;
}

.m-plus-1p-medium {
  font-family: "M PLUS 1p", sans-serif;
  font-weight: 500;
  font-style: normal;
}

.m-plus-1p-bold {
  font-family: "M PLUS 1p", sans-serif;
  font-weight: 700;
  font-style: normal;
}





/* 画像の基本スタイル設定 */
img {
  max-width: 100%;
  /* 画像の最大幅を100%に設定 */
  height: auto;
  /* 高さを自動調整 */
  margin: 0;
  /* マージンをゼロに設定 */
  padding: 0;
  /* パディングをゼロに設定 */
  vertical-align: bottom;
  /* 垂直方向の位置を下に設定 */
}

.ABcenter {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  /* 要素を中央に配置 */
}

/* ulタグのリストスタイル設定 */
ul {
  list-style: none;
}

a {
  text-decoration: none;
  /* タップ時の青背景を無効化 */
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  user-select: none;
  cursor: pointer;
  transition: .3s cubic-bezier(0.45, 0, 0.55, 1);
}

a:hover {
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  user-select: none;
}

/* ========================= 共通 ========================= */
main {
  position: relative;
}
.relative {
  position: relative;
}
.klee-one-regular {
  font-family: "Klee One", cursive;
  font-weight: 400;
  font-style: normal;
}


/*========== テキスト類　フォントサイズ・カラー・種類 ==========*/
p {
  font-size: 16px;
  line-height: 200%;
  letter-spacing: 0.05em;
  font-family: "M PLUS 1p", sans-serif;
  font-weight: 350;
  font-style: normal;
  color: #6a3906;
  text-indent: 0.3em;
}

h2,h3 {
  text-align: center;
  line-height: 1.2;
  letter-spacing: 0.15em;
  color: #6a3906;
}
h2 {font-size: 30px;}
h3 {font-size: 20px;}
h3.contactText {
  font-family: "M PLUS 1p", sans-serif;
  font-weight: 500;
  font-style: normal;
}

/*========== paddingスペース ==========*/
.tinySpace {padding: 25px 0;}
.smallSpace {padding: 50px 0;}
.largeSpace {padding: 100px 0;}
.bigSpace {padding: 200px 0;}

.smallTopSpace {padding-top: 50px;}
.smallBottomSpace {padding-bottom: 50px;}

.largeTopSpace {padding-top: 100px;}
.largeBottomSpace {padding-bottom: 100px;}
.bigBottomSpace {padding-bottom: 200px;}


/*========== ボタン ==========*/
.LinkBtn {
  position: relative;
  display: inline-block;
}

.LinkBtn a img {
  display: block;
  width: 100%;  /* 好きなサイズに合わせてOK */
  transition: opacity 0.4s ease-in-out; /* ← フェードアニメーション */
}

.LinkBtn .hover {
  position: absolute;
  top: 0;
  left: 0;
  opacity: 0; /* 最初は透明 */
}

.LinkBtn:hover .hover {
  opacity: 1; /* hover時に表示 */
}

.LinkBtn:hover .normal {
  opacity: 0; /* 元の画像を非表示 */
}




/*========== タイトル ==========*/
.title {
  width: 100%;
  height: 5svh;
}
.title img {
  height: 7svh;
  margin: auto;
  display: block;
}


/*==================================================
 ハンバーガーメニュー
==================================================*/
/* ハンバーガーボタン */
.openbtn {
  background: #000000;
  width: 50px;
  height: 50px;
  border-radius: 2px;
  position: fixed;
  top: 20px;
  right: 20px;
  z-index: 9999;
  box-sizing: border-box;
  transition: all 400ms;
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  cursor: pointer;
}

.openbtn span {
  display: inline-block;
  transition: all 0.4s;
  position: absolute;
}

.openbtn span:nth-of-type(1),
.openbtn span:nth-of-type(3) {
  height: 2px;
  background: #fff;
  width: 62%;
  left: 10px;
}

.openbtn span:nth-of-type(1) { top: 13px; }
.openbtn span:nth-of-type(2) {
  top: 19px;
  left: 11px;
  font-size: 0.6rem;
  text-transform: uppercase;
  color: #fff;
}
.openbtn span:nth-of-type(3) { top: 36px; }

/* アクティブ時のアニメーション */
.openbtn.active span:nth-of-type(1) {
  top: 18px;
  left: 18px;
  transform: translateY(6px) rotate(-45deg);
  width: 30%;
}
.openbtn.active span:nth-of-type(2) {
  opacity: 0;
}
.openbtn.active span:nth-of-type(3) {
  top: 30px;
  left: 18px;
  transform: translateY(-6px) rotate(45deg);
  width: 30%;
}

/* メニュー本体 */
.gNav {
  position: fixed;
  top: 0;
  right: -100%;
  width: 100%;
  height: 100svh;
  background-color: #000000;
  opacity: 0.85;
  font-size: 16px;
  box-sizing: border-box;
  z-index: 9998;
  padding-top: 100px;
  transition: 0.3s;
}

.gNav.open {
  right: 0;
}

/* メニューリスト */
.gNav .gNav-menu {
  padding: 0;
  width: 100%;
  height: auto;
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
  margin: auto;
  position: relative;
}

.gNavTopImg, .gNavUnderImg {
  width: 45%;
  height: auto;
  margin: auto;
}

.gNav .gNav-menu li {
  width: 30%;
  padding: 0;
  margin: 0;
  cursor: pointer;
  transition: 100ms cubic-bezier(0.45, 0, 0.55, 1);
  -webkit-tap-highlight-color: rgba(0, 0, 0, 0);
  user-select: none;
}

.gNav .gNav-menu li:hover {
  background-color: #979797;
}

.gNav .gNav-menu li a {
  display: block;
  width: 100%;
  height: auto;
  margin: 20px 0;
  text-align: left;
  font-size: 2.2vh;
  color: #FFF4D6;
  font-family: "M PLUS 1p", sans-serif;
  font-weight: 500;
  font-style: normal;
  letter-spacing: 0.1em;
  text-decoration: none;
}


/* メニュー表示中にbodyのスクロールを止める */
body.no-scroll {
  overflow: hidden;
  height: 100svh;
}


/* Instagramロゴ */
.instagramLogo {
  width: 50%;
  height: 40%;
  margin: auto;
  display: flex;
  align-items: center;
}

@media screen and (min-width:700px) {
  .hamburger {
    content-visibility: hidden;
  }
}


/*==================================================
 トップ　リターンボタン　ReturnButton
==================================================*/
  #ReturnButton {
    width: 90px;
    height: auto;
    position: fixed;
    top:auto;
    left: auto;
    right: 20px;
    bottom: 20px;
    z-index: 998;
  }



/*==================================================
adjustment 横幅調整
==================================================*/
.wideAdjustment {
  width: 80%;
  margin: auto;
}
.adjustment {
  width: 90%;
  margin: auto;
}



/*========== フェイドイン ==========*/
.fadein {
  opacity: 0;
  transition: opacity 3s ease, transform 2s ease;
}

.fadein.visible {
  opacity: 1;
}









/*==================================================
adjustment 横幅調整
==================================================*/
/*------------- タブレット --------------*/
@media screen and (min-width:700px)and (max-width:1079px) {
.wideAdjustment {width: 60%;}
}

/*------------- パソコン --------------*/
@media screen and (min-width:1080px)and (max-width:1499px) {
.wideAdjustment {width: 40%;}
}

/*------------- パソコン大画面 --------------*/
@media screen and (min-width:1500px) {
.wideAdjustment {width: 30%;}
}








/*==================================================
タブレット画面
==================================================*/
@media screen and (min-width:700px)and (max-width:1079px) {
}


/*==================================================
パソコン画面
==================================================*/
@media screen and (min-width:1080px)and (max-width:1499px) {


}

/*==================================================
パソコン大画面
==================================================*/
@media screen and (min-width:1500px) {

}











  .fade {
    background-color: #e5e5e500;
    /* 初期背景色 */
    transition: background-color 0.3s ease;
    /* ふわっと変わる */
  }

  .fade:hover {
    background-color: #818182;
  }

  .fade:focus,
  .fade:active {
    background-color: rgb(255, 255, 255);
  }
